import React from "react";
import styled from "styled-components";
import { defaultTheme, themable } from "../Theme/";

const Spinner = styled.div`
  display: inline-block;
  position: absolute;
  width: 64px;
  height: 64px;
  z-index: 150;
  left: calc(50% - 32px);
  top: calc(50% - 32px);

  div {
    position: absolute;
    top: 27px;
    width: 11px;
    height: 11px;
    border-radius: 50%;
    ${({ theme, color }) => `  
      background-color: ${themable({
        theme,
        props: [`button.${color}.background`, color, "primary"],
      })};
    `}
    animation-timing-function: cubic-bezier(0, 1, 1, 0);
  }

  div:nth-child(1) {
    left: 6px;
    animation: lds-ellipsis1 0.6s infinite;
  }

  div:nth-child(2) {
    left: 6px;
    animation: lds-ellipsis2 0.6s infinite;
  }

  div:nth-child(3) {
    left: 26px;
    animation: lds-ellipsis2 0.6s infinite;
  }

  div:nth-child(4) {
    left: 45px;
    animation: lds-ellipsis3 0.6s infinite;
  }

  @keyframes lds-ellipsis1 {
    0% {
      transform: scale(0);
    }
    100% {
      transform: scale(1);
    }
  }

  @keyframes lds-ellipsis3 {
    0% {
      transform: scale(1);
    }
    100% {
      transform: scale(0);
    }
  }

  @keyframes lds-ellipsis2 {
    0% {
      transform: translate(0, 0);
    }
    100% {
      transform: translate(19px, 0);
    }
  }
`;

const CustomSpinner = () => (
  <Spinner>
    <div />
    <div />
    <div />
    <div />
  </Spinner>
);

Spinner.defaultProps = {
  theme: defaultTheme,
};

export default CustomSpinner;
